precision highp float;

uniform sampler2D inputImageTexture;
varying highp vec2 textureCoordinate;

uniform vec4 backgroundColor;

void main() {
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    if (backgroundColor.a==float(0)){
        gl_FragColor=color;
    } else {
        gl_FragColor = backgroundColor;
    }
}
