varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform lowp float intensity;
void main()
{
    highp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    highp vec4 originalColor = texture2D(inputImageTexture2, textureCoordinate);
    gl_FragColor = mix(originalColor, textureColor, intensity);
}