varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D shaderMask;

void main() {
    lowp vec4 shaderColor = texture2D(shaderMask, textureCoordinate);
    lowp vec4 inputColor = texture2D(inputImageTexture, textureCoordinate);
    if (shaderColor[3] > 0.0) {
        gl_FragColor = vec4(inputColor.rgb, (1.0 - shaderColor.a) * inputColor.a);
    } else {
        gl_FragColor = inputColor;
    }
}
